miniLevel=359;
function Elgoh_HookTooltips()
	for _, tooltip in ipairs(TooltipList) do
		if tooltip then
			for _, methodName in ipairs(MethodList) do
				hooksecurefunc(tooltip, methodName, ProcessTooltip)
			end
		end
	end
end

TooltipList = {
	ItemRefTooltip,
	GameTooltip,
	ShoppingTooltip1,
	ShoppingTooltip2,
	ComparisonTooltip1,
	ComparisonTooltip2,
}

MethodList = {
	"SetHyperlink", 
	"SetBagItem",
	"SetInventoryItem",
	"SetAuctionItem",
	"SetAuctionSellItem",
	"SetLootItem",
	"SetLootRollItem",
	"SetTradeSkillItem",
	"SetTrainerService",
	"SetInboxItem",
	"SetSendMailItem",
	"SetQuestItem",
	"SetQuestLogItem",
	"SetTradePlayerItem",
	"SetTradeTargetItem",
	"SetMerchantItem",
	"SetHyperlinkCompareItem",
	"SetBuybackItem",
}

function ProcessTooltip(tooltip, a, b)
	if(showValues==1) then
		_,item = tooltip:GetItem()
		itemLevel,itemCost = ilvlDKP(item)
		if(itemLevel<miniLevel) then return false; end
		if(oldValues) then
			ms_price=string.format("%.2f", itemCost)
			os_price=string.format("%.2f", itemCost/2)
		else
			ms_price=string.format("%.0f", itemCost)
			os_price=string.format("%.0f", itemCost/2)
		end
		tooltip:AddDoubleLine("Mainspec price: ", ms_price, 0.7, 0.3, 1.0, 0.8, 0.8, 0.8)
		tooltip:AddDoubleLine("Offspec price: ", os_price, 0.7, 0.3, 1.0, 0.8, 0.8, 0.8)
		tooltip:Show()
	end
end

function ilvlDKP(item)
	if not item then return -1000,0; end
	name,_,itemRarity,itemLevel,_,itemType,itemSubType,_,itemEquipLoc = GetItemInfo(item)
	if (not (itemRarity==4)) then
		return -1000,0
	end
	
	dkp_base = (itemLevel - 1.3) / 1.3

	-- Set slot modifier
	dkp_slot = 0
	if     (itemEquipLoc == "INVTYPE_HEAD") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_NECK") then
		dkp_slot =  0.54
	elseif (itemEquipLoc == "INVTYPE_SHOULDER") then
		dkp_slot = 0.74
	elseif (itemEquipLoc == "INVTYPE_CHEST") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_ROBE") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_WAIST") then
		dkp_slot = 0.74
	elseif (itemEquipLoc == "INVTYPE_LEGS") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_FEET") then
		dkp_slot = 0.74
	elseif (itemEquipLoc == "INVTYPE_WRIST") then
		dkp_slot = 0.54
	elseif (itemEquipLoc == "INVTYPE_HAND") then
		dkp_slot = 0.74
	elseif (itemEquipLoc == "INVTYPE_FINGER") then
		dkp_slot = 0.54
	elseif (itemEquipLoc == "INVTYPE_TRINKET") then
		dkp_slot = 0.68
	elseif (itemEquipLoc == "INVTYPE_CLOAK") then
		dkp_slot = 0.54
	elseif (itemEquipLoc == "INVTYPE_WEAPON") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_SHIELD") then
		dkp_slot = 0.65
	elseif (itemEquipLoc == "INVTYPE_2HWEAPON") then
		dkp_slot = 1.5
	elseif (itemEquipLoc == "INVTYPE_WEAPONMAINHAND") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_WEAPONOFFHAND") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_HOLDABLE") then
		dkp_slot = 0.52
	elseif (itemEquipLoc == "INVTYPE_RANGED" or itemEquipLoc == "INVTYPE_RANGEDRIGHT" or itemEquipLoc == "INVTYPE_THROWN") then
		if (itemSubType == "Guns" or itemSubType == "Bows" or itemSubType == "Crossbows") then
			dkp_slot = 1.5
		else
			dkp_slot = 0.50
		end
	elseif (itemEquipLoc == "INVTYPE_RELIC") then
		dkp_slot = 0.30
	else
		dkp_slot = 0
	end

	if (dkp_base == 0 or dkp_slot == 0) then 
		return -1000,0
	else
		return itemLevel,dkp_base * dkp_slot
	end 
end

--(itemLevel - 1.3) / 1.3 * dkp_slot